<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>EclipseProject (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="EclipseProject (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/tooling/model/eclipse/EclipseOutputLocation.html" title="interface in org.gradle.tooling.model.eclipse"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/tooling/model/eclipse/EclipseProjectDependency.html" title="interface in org.gradle.tooling.model.eclipse"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/tooling/model/eclipse/EclipseProject.html" target="_top">Frames</a></li>
<li><a href="EclipseProject.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.tooling.model.eclipse</div>
<h2 title="Interface EclipseProject" class="title">Interface EclipseProject</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../../org/gradle/tooling/model/Element.html" title="interface in org.gradle.tooling.model">Element</a>, <a href="../../../../../org/gradle/tooling/model/HasGradleProject.html" title="interface in org.gradle.tooling.model">HasGradleProject</a>, <a href="../../../../../org/gradle/tooling/model/eclipse/HierarchicalEclipseProject.html" title="interface in org.gradle.tooling.model.eclipse">HierarchicalEclipseProject</a>, <a href="../../../../../org/gradle/tooling/model/HierarchicalElement.html" title="interface in org.gradle.tooling.model">HierarchicalElement</a>, <a href="../../../../../org/gradle/tooling/model/Model.html" title="interface in org.gradle.tooling.model">Model</a>, <a href="../../../../../org/gradle/tooling/model/ProjectModel.html" title="interface in org.gradle.tooling.model">ProjectModel</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">EclipseProject</span>
extends <a href="../../../../../org/gradle/tooling/model/eclipse/HierarchicalEclipseProject.html" title="interface in org.gradle.tooling.model.eclipse">HierarchicalEclipseProject</a></pre>
<div class="block">The complete model of an Eclipse project.

 <p>Note that the names of Eclipse projects are unique, and can be used as an identifier for the project.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>1.0-milestone-3</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/tooling/model/DomainObjectSet.html" title="interface in org.gradle.tooling.model">DomainObjectSet</a>&lt;? extends <a href="../../../../../org/gradle/tooling/model/eclipse/EclipseBuildCommand.html" title="interface in org.gradle.tooling.model.eclipse">EclipseBuildCommand</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/tooling/model/eclipse/EclipseProject.html#getBuildCommands()">getBuildCommands</a></strong>()</code>
<div class="block">Returns the Eclipse build commands configured on the project.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/tooling/model/DomainObjectSet.html" title="interface in org.gradle.tooling.model">DomainObjectSet</a>&lt;? extends <a href="../../../../../org/gradle/tooling/model/eclipse/EclipseProject.html" title="interface in org.gradle.tooling.model.eclipse">EclipseProject</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/tooling/model/eclipse/EclipseProject.html#getChildren()">getChildren</a></strong>()</code>
<div class="block">Returns the child elements, or the empty set if there are no child elements.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/tooling/model/DomainObjectSet.html" title="interface in org.gradle.tooling.model">DomainObjectSet</a>&lt;? extends <a href="../../../../../org/gradle/tooling/model/eclipse/EclipseExternalDependency.html" title="interface in org.gradle.tooling.model.eclipse">EclipseExternalDependency</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/tooling/model/eclipse/EclipseProject.html#getClasspath()">getClasspath</a></strong>()</code>
<div class="block">Returns the external dependencies which make up the classpath of this project.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/tooling/model/DomainObjectSet.html" title="interface in org.gradle.tooling.model">DomainObjectSet</a>&lt;? extends <a href="../../../../../org/gradle/tooling/model/eclipse/EclipseClasspathContainer.html" title="interface in org.gradle.tooling.model.eclipse">EclipseClasspathContainer</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/tooling/model/eclipse/EclipseProject.html#getClasspathContainers()">getClasspathContainers</a></strong>()</code>
<div class="block">Returns the Eclipse classpath containers defined on the project.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/tooling/model/GradleProject.html" title="interface in org.gradle.tooling.model">GradleProject</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/tooling/model/eclipse/EclipseProject.html#getGradleProject()">getGradleProject</a></strong>()</code>
<div class="block">The gradle project that is associated with this project.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/tooling/model/eclipse/EclipseJavaSourceSettings.html" title="interface in org.gradle.tooling.model.eclipse">EclipseJavaSourceSettings</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/tooling/model/eclipse/EclipseProject.html#getJavaSourceSettings()">getJavaSourceSettings</a></strong>()</code>
<div class="block">Returns the Java source settings for this project.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/tooling/model/eclipse/EclipseOutputLocation.html" title="interface in org.gradle.tooling.model.eclipse">EclipseOutputLocation</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/tooling/model/eclipse/EclipseProject.html#getOutputLocation()">getOutputLocation</a></strong>()</code>
<div class="block">Returns the output location of this project.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/tooling/model/eclipse/EclipseProject.html" title="interface in org.gradle.tooling.model.eclipse">EclipseProject</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/tooling/model/eclipse/EclipseProject.html#getParent()">getParent</a></strong>()</code>
<div class="block">Returns the parent of this element, or <code>null</code> if there is no parent.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/tooling/model/DomainObjectSet.html" title="interface in org.gradle.tooling.model">DomainObjectSet</a>&lt;? extends <a href="../../../../../org/gradle/tooling/model/eclipse/EclipseProjectNature.html" title="interface in org.gradle.tooling.model.eclipse">EclipseProjectNature</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/tooling/model/eclipse/EclipseProject.html#getProjectNatures()">getProjectNatures</a></strong>()</code>
<div class="block">Returns the Eclipse natures configured on the project.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.tooling.model.eclipse.HierarchicalEclipseProject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.tooling.model.eclipse.<a href="../../../../../org/gradle/tooling/model/eclipse/HierarchicalEclipseProject.html" title="interface in org.gradle.tooling.model.eclipse">HierarchicalEclipseProject</a></h3>
<code><a href="../../../../../org/gradle/tooling/model/eclipse/HierarchicalEclipseProject.html#getLinkedResources()">getLinkedResources</a>, <a href="../../../../../org/gradle/tooling/model/eclipse/HierarchicalEclipseProject.html#getProjectDependencies()">getProjectDependencies</a>, <a href="../../../../../org/gradle/tooling/model/eclipse/HierarchicalEclipseProject.html#getProjectDirectory()">getProjectDirectory</a>, <a href="../../../../../org/gradle/tooling/model/eclipse/HierarchicalEclipseProject.html#getSourceDirectories()">getSourceDirectories</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.tooling.model.Element">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.tooling.model.<a href="../../../../../org/gradle/tooling/model/Element.html" title="interface in org.gradle.tooling.model">Element</a></h3>
<code><a href="../../../../../org/gradle/tooling/model/Element.html#getDescription()">getDescription</a>, <a href="../../../../../org/gradle/tooling/model/Element.html#getName()">getName</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.tooling.model.HasGradleProject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.tooling.model.<a href="../../../../../org/gradle/tooling/model/HasGradleProject.html" title="interface in org.gradle.tooling.model">HasGradleProject</a></h3>
<code><a href="../../../../../org/gradle/tooling/model/HasGradleProject.html#getProjectIdentifier()">getProjectIdentifier</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getParent()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParent</h4>
<pre><a href="../../../../../org/gradle/tooling/model/eclipse/EclipseProject.html" title="interface in org.gradle.tooling.model.eclipse">EclipseProject</a>&nbsp;getParent()</pre>
<div class="block">Returns the parent of this element, or <code>null</code> if there is no parent.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/tooling/model/eclipse/HierarchicalEclipseProject.html#getParent()">getParent</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/tooling/model/eclipse/HierarchicalEclipseProject.html" title="interface in org.gradle.tooling.model.eclipse">HierarchicalEclipseProject</a></code></dd>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/tooling/model/HierarchicalElement.html#getParent()">getParent</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/tooling/model/HierarchicalElement.html" title="interface in org.gradle.tooling.model">HierarchicalElement</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The parent of this element, or <code>null</code> if there is no parent.</dd></dl>
</li>
</ul>
<a name="getChildren()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChildren</h4>
<pre><a href="../../../../../org/gradle/tooling/model/DomainObjectSet.html" title="interface in org.gradle.tooling.model">DomainObjectSet</a>&lt;? extends <a href="../../../../../org/gradle/tooling/model/eclipse/EclipseProject.html" title="interface in org.gradle.tooling.model.eclipse">EclipseProject</a>&gt;&nbsp;getChildren()</pre>
<div class="block">Returns the child elements, or the empty set if there are no child elements.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/tooling/model/eclipse/HierarchicalEclipseProject.html#getChildren()">getChildren</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/tooling/model/eclipse/HierarchicalEclipseProject.html" title="interface in org.gradle.tooling.model.eclipse">HierarchicalEclipseProject</a></code></dd>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/tooling/model/HierarchicalElement.html#getChildren()">getChildren</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/tooling/model/HierarchicalElement.html" title="interface in org.gradle.tooling.model">HierarchicalElement</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The child elements, or the empty set if there are no child elements.</dd></dl>
</li>
</ul>
<a name="getJavaSourceSettings()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJavaSourceSettings</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
<a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="../../../../../org/gradle/tooling/model/eclipse/EclipseJavaSourceSettings.html" title="interface in org.gradle.tooling.model.eclipse">EclipseJavaSourceSettings</a>&nbsp;getJavaSourceSettings()
                                                throws <a href="../../../../../org/gradle/tooling/model/UnsupportedMethodException.html" title="class in org.gradle.tooling.model">UnsupportedMethodException</a></pre>
<div class="block">Returns the Java source settings for this project.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the settings for Java sources or <code>null</code> if not a Java element.</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../../org/gradle/tooling/model/UnsupportedMethodException.html" title="class in org.gradle.tooling.model">UnsupportedMethodException</a></code> - For Gradle versions older than 2.10, where this method is not supported.</dd><dt><span class="strong">Since:</span></dt>
  <dd>2.10</dd></dl>
</li>
</ul>
<a name="getGradleProject()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGradleProject</h4>
<pre><a href="../../../../../org/gradle/tooling/model/GradleProject.html" title="interface in org.gradle.tooling.model">GradleProject</a>&nbsp;getGradleProject()</pre>
<div class="block">The gradle project that is associated with this project.
 Typically, a single Eclipse project corresponds to a single gradle project.
 <p>
 See <a href="../../../../../org/gradle/tooling/model/HasGradleProject.html" title="interface in org.gradle.tooling.model"><code>HasGradleProject</code></a></div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/tooling/model/HasGradleProject.html#getGradleProject()">getGradleProject</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/tooling/model/HasGradleProject.html" title="interface in org.gradle.tooling.model">HasGradleProject</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>associated gradle project</dd><dt><span class="strong">Since:</span></dt>
  <dd>1.0-milestone-5</dd></dl>
</li>
</ul>
<a name="getClasspath()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClasspath</h4>
<pre><a href="../../../../../org/gradle/tooling/model/DomainObjectSet.html" title="interface in org.gradle.tooling.model">DomainObjectSet</a>&lt;? extends <a href="../../../../../org/gradle/tooling/model/eclipse/EclipseExternalDependency.html" title="interface in org.gradle.tooling.model.eclipse">EclipseExternalDependency</a>&gt;&nbsp;getClasspath()</pre>
<div class="block">Returns the external dependencies which make up the classpath of this project.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The dependencies. Returns an empty set if the project has no external dependencies.</dd><dt><span class="strong">Since:</span></dt>
  <dd>1.0-milestone-3</dd></dl>
</li>
</ul>
<a name="getProjectNatures()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProjectNatures</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="../../../../../org/gradle/tooling/model/DomainObjectSet.html" title="interface in org.gradle.tooling.model">DomainObjectSet</a>&lt;? extends <a href="../../../../../org/gradle/tooling/model/eclipse/EclipseProjectNature.html" title="interface in org.gradle.tooling.model.eclipse">EclipseProjectNature</a>&gt;&nbsp;getProjectNatures()
                                                                  throws <a href="../../../../../org/gradle/tooling/model/UnsupportedMethodException.html" title="class in org.gradle.tooling.model">UnsupportedMethodException</a></pre>
<div class="block">Returns the Eclipse natures configured on the project.
 <p>
 Some natures are automatically added to the result based on the Gradle plugins applied on the project.
 For example, if the project applies the 'java' plugin the result will contain the
 <code>"org.eclipse.jdt.core.javanature"</code> entry. Note, that the exact list of automatically added
 natures is not part of the API and can vary between Gradle releases.
 <p>
 The result can be customized via the 'eclipse' plugin configuration.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The list of Eclipse project natures.</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../../org/gradle/tooling/model/UnsupportedMethodException.html" title="class in org.gradle.tooling.model">UnsupportedMethodException</a></code> - For Gradle versions older than 2.9, where this method is not supported.</dd><dt><span class="strong">Since:</span></dt>
  <dd>2.9</dd></dl>
</li>
</ul>
<a name="getBuildCommands()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBuildCommands</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="../../../../../org/gradle/tooling/model/DomainObjectSet.html" title="interface in org.gradle.tooling.model">DomainObjectSet</a>&lt;? extends <a href="../../../../../org/gradle/tooling/model/eclipse/EclipseBuildCommand.html" title="interface in org.gradle.tooling.model.eclipse">EclipseBuildCommand</a>&gt;&nbsp;getBuildCommands()
                                                                throws <a href="../../../../../org/gradle/tooling/model/UnsupportedMethodException.html" title="class in org.gradle.tooling.model">UnsupportedMethodException</a></pre>
<div class="block">Returns the Eclipse build commands configured on the project.
 <p>
 Some build commands are automatically added to the result based on the Gradle plugins applied on the project.
 For example, if the project applies the 'java' plugin the result will contain the
 <code>"org.eclipse.jdt.core.javabuilder"</code> build command. Note, that the exact list of automatically
 added build commands is not part of the API and can vary between Gradle releases.
 <p>
 The result can be customized via the 'eclipse' plugin configuration.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The list of Eclipse build commands.</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../../org/gradle/tooling/model/UnsupportedMethodException.html" title="class in org.gradle.tooling.model">UnsupportedMethodException</a></code> - For Gradle versions older than 2.9, where this method is not supported.</dd><dt><span class="strong">Since:</span></dt>
  <dd>2.9</dd></dl>
</li>
</ul>
<a name="getClasspathContainers()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClasspathContainers</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="../../../../../org/gradle/tooling/model/DomainObjectSet.html" title="interface in org.gradle.tooling.model">DomainObjectSet</a>&lt;? extends <a href="../../../../../org/gradle/tooling/model/eclipse/EclipseClasspathContainer.html" title="interface in org.gradle.tooling.model.eclipse">EclipseClasspathContainer</a>&gt;&nbsp;getClasspathContainers()
                                                                            throws <a href="../../../../../org/gradle/tooling/model/UnsupportedMethodException.html" title="class in org.gradle.tooling.model">UnsupportedMethodException</a></pre>
<div class="block">Returns the Eclipse classpath containers defined on the project.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The list of classpath containers.</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../../org/gradle/tooling/model/UnsupportedMethodException.html" title="class in org.gradle.tooling.model">UnsupportedMethodException</a></code> - For Gradle versions older than 3.0, where this method is not supported.</dd><dt><span class="strong">Since:</span></dt>
  <dd>3.0</dd></dl>
</li>
</ul>
<a name="getOutputLocation()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getOutputLocation</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="../../../../../org/gradle/tooling/model/eclipse/EclipseOutputLocation.html" title="interface in org.gradle.tooling.model.eclipse">EclipseOutputLocation</a>&nbsp;getOutputLocation()
                                        throws <a href="../../../../../org/gradle/tooling/model/UnsupportedMethodException.html" title="class in org.gradle.tooling.model">UnsupportedMethodException</a></pre>
<div class="block">Returns the output location of this project.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The project's output location.</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../../org/gradle/tooling/model/UnsupportedMethodException.html" title="class in org.gradle.tooling.model">UnsupportedMethodException</a></code> - For Gradle versions older than 3.0, where this method is not supported.</dd><dt><span class="strong">Since:</span></dt>
  <dd>3.0</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/tooling/model/eclipse/EclipseOutputLocation.html" title="interface in org.gradle.tooling.model.eclipse"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/tooling/model/eclipse/EclipseProjectDependency.html" title="interface in org.gradle.tooling.model.eclipse"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/tooling/model/eclipse/EclipseProject.html" target="_top">Frames</a></li>
<li><a href="EclipseProject.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
